Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jms.extensions
Class DataOverrunException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jms.JMSException
                        |
                        +--weblogic.jms.common.JMSException
                              |
                              +--weblogic.jms.extensions.DataOverrunException

public class DataOverrunException
extends weblogic.jms.common.JMSException

This exception is thrown by a multicast session when the number of messages received by the session, but not yet delivered to the messageListener, exceeds the maximum number of messages allowed for the session.

Author:
  Copyright (c) 2000 by BEA Systems, Inc., All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`DataOverrunException(java.lang.String reason, java.lang.String messageId, java.lang.String correlationId, javax.jms.Destination destination)` Construct a DataOverrunException with reason.
`DataOverrunException(java.lang.String reason, java.lang.String errorCode, java.lang.String messageId, java.lang.String correlationId, javax.jms.Destination destination)` Construct a DataOverrunException with reason and errorCode for exception.

Method Summary
`java.lang.String` | `getJMSCorrelationId()` Returns the correlation id of the message that was lost
`javax.jms.Destination` | `getJMSDestination()` Returns the destination from which the message came
`java.lang.String` | `getJMSMessageId()` Returns the message id of the message that was lost

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, setLinkedThrowable`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataOverrunException

    public DataOverrunException(java.lang.String reason,
                                java.lang.String errorCode,
                                java.lang.String messageId,
                                java.lang.String correlationId,
                                javax.jms.Destination destination)

  Construct a DataOverrunException with reason and errorCode for exception.

  Parameters:
    `reason` - a description of the exception.
    `errorCode` - a string specifying the vendor specific error code.
    `messageId` - the messageId of the message that was lost
    `correlationId` - the correlationId of the message that was lost
    `destination` - the destination from which the message came

### DataOverrunException

    public DataOverrunException(java.lang.String reason,
                                java.lang.String messageId,
                                java.lang.String correlationId,
                                javax.jms.Destination destination)

  Construct a DataOverrunException with reason. Error code defaults to null.

  Parameters:
    `reason` - a description of the exception.
    `messageId` - the messageId of the message that was lost
    `correlationId` - the correlationId of the message that was lost
    `serverName` - the server name of the destination
    `destinationName` - the name of the destination

Method Detail

### getJMSMessageId

    public java.lang.String getJMSMessageId()

  Returns the message id of the message that was lost

  Returns:
    String the message id of the message that was lost

### getJMSCorrelationId

    public java.lang.String getJMSCorrelationId()

  Returns the correlation id of the message that was lost

  Returns:
    String the correlation id of the message that was lost

### getJMSDestination

    public javax.jms.Destination getJMSDestination()

  Returns the destination from which the message came

  Returns:
    Destination the destination from which the message came

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD